[R] pvals.fnc() with language R does not work with R 2.10.1

Ben Bolker bolker at ufl.edu
Thu Apr 1 22:42:15 CEST 2010

ozge gurcanli <gurcanli <at> cogsci.jhu.edu> writes:

> Hi Everyone,
> I am using R 2.10.1.  lmer function works properly, however pvals.fnc 
> ()  does not despite the fact that I uploaded:
> - library(lme4)
> - library(coda)
> - library(languageR)
> This is the error message I get
>   pvals.fnc(lexdec3.lmerE2, nsim=10000)$fixed
> Error in pvals.fnc(lexdec3.lmerE2, nsim = 10000) :
>    MCMC sampling is not yet implemented in lme4_0.999375
>    for models with random correlation parameters
> How can I resolve the problem?

  Neither of these packages is with base R (lme4 and languageR are
the source of your problems, not coda). The standard advice in
this case is to "contact the package maintainer" -- you can
find this info from help(package=languageR) (or the equivalent
for lme4) -- the maintainers are R Baayen and D Bates respectively.

  However, before you do that -- mcmcsamp has not worked in
lme4 for quite a while.  You could try to retrieve sufficiently
old versions of lme4 (and probably Matrix as well, since the
two are interconnected) to find a version where mcmcsamp works
(but this could be dangerous since I believe Bates abandoned
mcmcsamp after finding several cases where it got stuck and
deciding that he should remove it until he found a way to
make it more robust).

  My suggestion would be to try posting this to r-sig-mixed-models
to see if anyone has a suggestion, and possibly contacting Baayen.
I suspect Bates will just tell you what I stated above.  You could
also look at http://glmm.wikidot.com/faq , but again it doesn't
say much more than I have already stated.

  Ben Bolker

More information about the R-help mailing list